Get Album IDs
Resolve an album across platforms given a source identifier. type accepts chartmetric, upc, spotify, itunes, deezer, or amazon. Multiple rows per cm_album may be returned when an album has several platform identifiers.
Path Parameters
- Type: string enumtyperequired
Source identifier type. One of
chartmetric,upc,spotify,itunes,deezer, oramazon.values- chartmetric
- upc
- spotify
- itunes
- deezer
- amazon
- Type: stringid
Pattern: ^[a-zA-Z0-9-_]+$requiredAlbum identifier whose format depends on
type(numeric Chartmetric ID, UPC string, or platform-specific album ID).
Responses
- application/json
Request Example for get/api/album/{type}/{id}/get-ids
curl 'https://api.chartmetric.com/api/album/chartmetric/{id}/get-ids' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"obj": [
{
"cm_album": 815685,
"album_name": "Deja Fu",
"upc": "3614599568697",
"spotify_album_id": "3hpphhVJM2QTUMYuXT7nw4",
"itunes_album_id": "1126469777",
"deezer_album_id": null,
"amazon_album_id": "B01HDU9RN0"
},
{
"cm_album": 815685,
"album_name": "Deja Fu",
"upc": "3614599568697",
"spotify_album_id": "3hpphhVJM2QTUMYuXT7nw4",
"itunes_album_id": "1126469777",
"deezer_album_id": null,
"amazon_album_id": "B01HFW1FHW"
}
]
}